From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/wapiti/
Date: Sun, 3 Jul 2022 22:49:19 +0000 (UTC) [thread overview]
Message-ID: <1656888554.cf853b820278d512781d797cf86d17058134a367.voyageur@gentoo> (raw)
commit: cf853b820278d512781d797cf86d17058134a367
Author: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 3 22:46:31 2022 +0000
Commit: Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sun Jul 3 22:49:14 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cf853b82
net-analyzer/wapiti: add 3.1.2
Closes: https://bugs.gentoo.org/850187
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>
net-analyzer/wapiti/Manifest | 1 +
net-analyzer/wapiti/wapiti-3.1.2.ebuild | 51 +++++++++++++++++++++++++++++++++
2 files changed, 52 insertions(+)
diff --git a/net-analyzer/wapiti/Manifest b/net-analyzer/wapiti/Manifest
index 51f1417d5769..cbbe91b2185b 100644
--- a/net-analyzer/wapiti/Manifest
+++ b/net-analyzer/wapiti/Manifest
@@ -1 +1,2 @@
DIST wapiti3-3.0.5.tar.gz 573630 BLAKE2B 4f6425c54542e3fcf12f50a7ebe4aeeb38083bd04e6a9415466a24ca907e787149b6462972cb6c9d29f4c89bf1f941ae2566b126746bee3697172f342befd7fb SHA512 c1bfdcd4114ec508b4b16e7a4389b23b25326816c7daf0e7fb634ce08b59b983dec92f92287a18cbe7ecde9a06a04da98cfd744f818efc57c606be143fe7db4d
+DIST wapiti3-3.1.2.tar.gz 654586 BLAKE2B 6abbb35060ef554e8b803a82744527a361fe3803871b39dc078938c4af70a3f6e1a2adeec95c0ff487aff650d92a3638cb655439d342c2b516a5279ee02af472 SHA512 cd16d5b265a49441ad45341630ea6a2df150172b774d3282ee229b5a73274eed293ad35c6fc5e26443dc96f1437dcd28b77240210840c65cb3f1f7b6e9234c2d
diff --git a/net-analyzer/wapiti/wapiti-3.1.2.ebuild b/net-analyzer/wapiti/wapiti-3.1.2.ebuild
new file mode 100644
index 000000000000..8d4a9ed067d8
--- /dev/null
+++ b/net-analyzer/wapiti/wapiti-3.1.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE='xml'
+
+inherit distutils-r1
+
+MY_P=${PN}3-${PV}
+DESCRIPTION="Web-application vulnerability scanner"
+HOMEPAGE="http://wapiti.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+# Requires httpx-ntlm (to package)
+#IUSE="ntlm"
+
+# httpx requires brotli and socks, so depending on
+# dev-python/socksio and dev-python/brotlicffi
+RDEPEND="dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/mako[${PYTHON_USEDEP}]
+ >=dev-python/requests-1.2.3[${PYTHON_USEDEP}]
+ dev-python/socksio[${PYTHON_USEDEP}]
+ dev-python/tld[${PYTHON_USEDEP}]
+ dev-python/yaswfp[${PYTHON_USEDEP}]"
+
+distutils_enable_tests --install pytest
+# Tests also require unpackaged respx
+BDEPEND+=" test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ )"
+# Many tests require execution of local test php server
+RESTRICT="test"
+
+S=${WORKDIR}/${MY_P}
+
+python_prepare_all() {
+ sed -e 's/"pytest-runner"//' \
+ -e "/DOC_DIR =/s/wapiti/${PF}/" \
+ -i setup.py || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2022-07-03 22:49 UTC|newest]
Thread overview: 32+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-03 22:49 Bernard Cafarelli [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-03 23:40 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/wapiti/ Bernard Cafarelli
2024-04-14 21:09 Bernard Cafarelli
2023-03-07 15:53 Bernard Cafarelli
2023-03-07 15:53 Bernard Cafarelli
2023-02-09 23:27 Bernard Cafarelli
2023-02-01 23:47 Bernard Cafarelli
2023-02-01 23:47 Bernard Cafarelli
2023-02-01 23:47 Bernard Cafarelli
2022-09-07 7:52 Michał Górny
2022-07-10 12:55 Bernard Cafarelli
2022-07-03 22:49 Bernard Cafarelli
2021-10-02 8:59 Bernard Cafarelli
2021-10-02 8:59 Bernard Cafarelli
2021-07-06 11:37 Bernard Cafarelli
2021-03-05 16:41 Bernard Cafarelli
2021-03-05 9:01 Bernard Cafarelli
2020-11-08 15:30 Bernard Cafarelli
2020-04-20 10:29 Bernard Cafarelli
2020-04-19 23:01 Bernard Cafarelli
2020-04-19 23:01 Bernard Cafarelli
2020-03-25 9:39 Michał Górny
2020-02-21 14:11 Bernard Cafarelli
2019-12-10 13:08 Bernard Cafarelli
2019-12-10 12:31 Bernard Cafarelli
2019-12-10 12:22 Bernard Cafarelli
2019-09-24 23:20 Bernard Cafarelli
2019-09-24 12:56 Bernard Cafarelli
2018-07-24 13:16 Bernard Cafarelli
2018-07-24 13:16 Bernard Cafarelli
2018-01-09 13:40 Bernard Cafarelli
2016-10-30 20:05 Sven Wegener
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656888554.cf853b820278d512781d797cf86d17058134a367.voyageur@gentoo \
--to=voyageur@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox